import { slice as immerSlice } from "starfx";
type SimulationSlice = typeof immerSlice;
export type ExtendSimulationSchema = {
    slice: SimulationSlice;
};
export type ExtendSimulationSchemaInput<T> = ({ slice, }: ExtendSimulationSchema) => T;
export declare function generateSchemaWithInputSlices<ExtendedSimulationSchema>(inputSchema: ExtendSimulationSchemaInput<ExtendedSimulationSchema>): [import("starfx").FxSchema<{
    cache: (n: string) => import("starfx").TableOutput<{}, import("starfx").AnyState, {}>;
    loaders: (name: string) => import("starfx").LoaderOutput<M, import("starfx").AnyState>;
} & ExtendedSimulationSchema extends infer T extends import("starfx").FxMap ? { [key in keyof T]: ReturnType<({
    cache: (n: string) => import("starfx").TableOutput<{}, import("starfx").AnyState, {}>;
    loaders: (name: string) => import("starfx").LoaderOutput<M, import("starfx").AnyState>;
} & ExtendedSimulationSchema)[key]>["initialState"]; } : never, {
    cache: (n: string) => import("starfx").TableOutput<{}, import("starfx").AnyState, {}>;
    loaders: (name: string) => import("starfx").LoaderOutput<M, import("starfx").AnyState>;
} & ExtendedSimulationSchema>, {
    cache: (n: string) => import("starfx").TableOutput<{}, import("starfx").AnyState, {}>;
    loaders: (name: string) => import("starfx").LoaderOutput<M, import("starfx").AnyState>;
} & ExtendedSimulationSchema extends infer T_1 extends import("starfx").FxMap ? { [key in keyof T_1]: ReturnType<({
    cache: (n: string) => import("starfx").TableOutput<{}, import("starfx").AnyState, {}>;
    loaders: (name: string) => import("starfx").LoaderOutput<M, import("starfx").AnyState>;
} & ExtendedSimulationSchema)[key]>["initialState"]; } : never];
export {};
//# sourceMappingURL=schema.d.ts.map