"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateSchemaWithInputSlices = void 0;
const starfx_1 = require("starfx");
function generateSchemaWithInputSlices(inputSchema) {
    let slices = inputSchema({ slice: starfx_1.slice });
    let schemaAndInitialState = (0, starfx_1.createSchema)({
        cache: starfx_1.slice.table({ empty: {} }),
        loaders: starfx_1.slice.loaders(),
        ...slices,
    });
    return schemaAndInitialState;
}
exports.generateSchemaWithInputSlices = generateSchemaWithInputSlices;
//# sourceMappingURL=schema.js.map